View Issue Details

IDProjectCategoryView StatusLast Update
0000796SymmetricDSImprovementpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.3 
Target Version3.1.4Fixed in Version3.1.4 
Summary0000796: AbstractSqlTemplate should report an error if a named parameter map is passed in that does not contain a required parameter
DescriptionAbstractSqlTemplate should report an error if a named parameter map is passed in that does not contain a required parameter.

This will help in debugging bad SubselectDataRouters.

The an InvalidSqlException and show both the SQL and the missing named parameter.
TagsNo tags attached.

Activities

chenson

2012-08-31 08:32

administrator   ~0000077

Also catch the new InvalidSqlException in the subselect router and report the source of the error.

Related Changesets

SymmetricDS: master 888e57f8

2012-08-31 08:22:57

chenson

Details Diff
0000796: AbstractSqlTemplate should report an error if a named parameter map is passed in that does not contain a required parameter
0000796
add - symmetric-db/src/main/java/org/jumpmind/db/sql/InvalidSqlException.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/NamedParameterUtils.java Diff File

SymmetricDS: master 7f9e07c7

2012-08-31 08:31:10

chenson

Details Diff
0000796: AbstractSqlTemplate should report an error if a named parameter map is passed in that does not contain a required parameter
0000796
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/SubSelectDataRouter.java Diff File

Issue History

Date Modified Username Field Change
2012-08-31 08:21 chenson New Issue
2012-08-31 08:22 chenson Product Version => 3.1.3
2012-08-31 08:22 chenson Fixed in Version => 3.1.4
2012-08-31 08:22 chenson Target Version => 3.1.4
2012-08-31 08:22 chenson Status new => resolved
2012-08-31 08:22 chenson Resolution open => fixed
2012-08-31 08:22 chenson Assigned To => chenson
2012-08-31 08:32 chenson Note Added: 0000077
2012-09-07 19:53 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6235
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6236
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7f9e07c7
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 888e57f8